<!-- <p>login works!</p> -->
<!-- <form #postForm="ngForm" class="example-form">
    <mat-form-field class="example-full-width">
      <mat-label>Username</mat-label>
      <input matInput placeholder="Username" name="username" ngModel required />
       </mat-form-field>
     <mat-form-field class="example-full-width">
      <mat-label>Password</mat-label>
         <input type="password" matInputplaceholder="Password" name="password" ngModel required/>
     </mat-form-field>
       <a routerLink="/card" class="btn btn-primary">Generate</a>
 </form> -->
 <form>
    <div class="row" id="fn">
      <div class="col-4">
        <input type="text" class="form-control" placeholder="First name">
      </div>
      </div>

       <div class="row" id="p"> 
      <div class="col-4">
        <input type="password" class="form-control" placeholder="password">
    </div>
     </div>
     <a routerLink="/card-detail" class="btn btn-primary" id="button">  LogIn   </a>
    </form> 